--@non-debug@

local locales = {
	["enUS"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "Always display CD icons at full opacity (ReloadUI is needed)",
	["chat:addon-is-disabled"] = "Addon is disabled",
	["chat:addon-is-disabled-note"] = "Please note: this addon is disabled. You can enable it in options dialog (/nc)",
	["chat:addon-is-enabled"] = "Addon is enabled",
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "Click on icon to enable/disable tracking",
	["Copy"] = "Copy",
	["Copy other profile to current profile:"] = "Copy other profile to current profile:",
	["Current profile: [%s]"] = "Current profile: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "Data from '%s' has been successfully copied to '%s'",
	["Delete"] = "Delete",
	["Delete profile:"] = "Delete profile:",
	["Disable test mode"] = "Disable test mode",
	["Enable test mode (need at least one visible nameplate)"] = "Enable test mode (need at least one visible nameplate)",
	["Filters"] = "Filters",
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "Font:",
	["General"] = "General",
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Icon size",
	["Icon X-coord offset"] = "Icon X-coord offset",
	["Icon Y-coord offset"] = "Icon Y-coord offset",
	["instance-type:arena"] = "Arenas",
	["instance-type:none"] = "Open World",
	["instance-type:party"] = "5ppl dungeons",
	["instance-type:pvp"] = "Battlegrounds",
	["instance-type:raid"] = "Raid dungeons",
	["instance-type:scenario"] = "Scenarios",
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Misc",
	["New spell has been added: %s"] = "New spell has been added: %s",
	["Options are not available in combat!"] = "Options are not available in combat!",
	["options:general:disable-addon-btn"] = "Disable addon",
	["options:general:enable-addon-btn"] = "Enable addon",
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "Profile '%s' has been successfully deleted",
	["Profiles"] = "Profiles",
	["Show border around interrupts"] = "Show border around interrupts",
	["Show border around trinkets"] = "Show border around trinkets",
	["Unknown spell: %s"] = "Unknown spell: %s",
	["Value must be a number"] = "Value must be a number"
},
	["deDE"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "CD-Symbole immer mit voller Deckkraft anzeigen (UI neu laden erf.)",
	["chat:addon-is-disabled"] = "Addon ist deaktiviert",
	["chat:addon-is-disabled-note"] = "Bitte beachte: Dieses Addon ist deaktiviert. Du kannst es in den Optionen aktivieren (/nc)",
	["chat:addon-is-enabled"] = "Addon ist aktiviert",
	--[[Translation missing --]]
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "Klicke auf das Symbol, um die Verfolgung ein-/auszuschalten",
	["Copy"] = "Kopieren",
	["Copy other profile to current profile:"] = "Kopiere ein anderes Profil zu dem aktuellen:",
	["Current profile: [%s]"] = "Aktuelles Profil: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "Daten von '%s' wurden erfolgreich zu '%s' kopiert.",
	["Delete"] = "Löschen",
	["Delete profile:"] = "Profil löschen:",
	["Disable test mode"] = "Testmodus deaktivieren",
	["Enable test mode (need at least one visible nameplate)"] = "Testmodus aktivieren\\r\\n(es muss mindestens eine Namensplakette sichtbar sein)",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "Schriftart:",
	["General"] = "Allgemein",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Symbolgröße ",
	["Icon X-coord offset"] = "X-Position des Symbols",
	["Icon Y-coord offset"] = "Y-Position des Symbols",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Verschiedenes",
	["New spell has been added: %s"] = "Ein neuer Zauber wurde hinzugefügt: %s",
	["Options are not available in combat!"] = "Einstellungen sind nicht im Kampf verfügbar",
	["options:general:disable-addon-btn"] = "Addon deaktivieren",
	["options:general:enable-addon-btn"] = "Addon aktivieren",
	--[[Translation missing --]]
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "Profil '%s' wurde erfolgreich gelöscht.",
	["Profiles"] = "Profile",
	["Show border around interrupts"] = "Rahmen um Unterbrechungen anzeigen",
	["Show border around trinkets"] = "Rahmen um Schmuckstücke anzeigen",
	["Unknown spell: %s"] = "Unbekannter Zauber: %s",
	["Value must be a number"] = "Der Wert muss eine Zahl sein."
},
	["esES"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "Mostrar siempre los iconos de CD con opacidad al máximo (es necesario ReiniciarIU)",
	["chat:addon-is-disabled"] = "Addon deshabilitado",
	["chat:addon-is-disabled-note"] = "Tenga en cuenta: este addon está deshabilitado. Puede habilitarlo en la opción de diálogo (/nc)",
	["chat:addon-is-enabled"] = "Addon habilitado",
	--[[Translation missing --]]
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "Haz click en el icono para activar/desactivar seguimiento",
	["Copy"] = "Copiar",
	["Copy other profile to current profile:"] = "Copiar otro perfil al perfil actual:",
	["Current profile: [%s]"] = "Perfil actual: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "Los datos de '%s' han sido copiados correctamente a '%s'",
	["Delete"] = "Borrar",
	["Delete profile:"] = "Borrar perfil:",
	["Disable test mode"] = "Desactivar Modo Test",
	["Enable test mode (need at least one visible nameplate)"] = "Modo test Activado\\r\\n(necesitas por lo menos un nameplate visible)",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "Fuente",
	["General"] = "General",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Tamaño del icono",
	["Icon X-coord offset"] = "Compensacion de coordenada X del icono",
	["Icon Y-coord offset"] = "Compensacion de coordenada Y del icono",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Misc",
	["New spell has been added: %s"] = "Añadido un nuevo hechizo: %s",
	["Options are not available in combat!"] = "Las opciones no estan disponibles en combate!",
	["options:general:disable-addon-btn"] = "Deshabilita el addon",
	["options:general:enable-addon-btn"] = "Habilita el addon",
	--[[Translation missing --]]
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "Perfil \"%s\" ha sido borrado con exito",
	["Profiles"] = "Perfiles",
	["Show border around interrupts"] = "Mostrar bordes alrededor de interrupciones",
	["Show border around trinkets"] = "Mostrar bordes alrededor de abalorios",
	["Unknown spell: %s"] = "Hechizo desconocido: %s",
	["Value must be a number"] = "El valor debe ser numerico"
},
	["esMX"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "Mostrar siempre iconos con opacidad completa (Se requiere recargar UI)",
	--[[Translation missing --]]
	["chat:addon-is-disabled"] = "Addon is disabled",
	--[[Translation missing --]]
	["chat:addon-is-disabled-note"] = "Please note: this addon is disabled. You can enable it in options dialog (/nc)",
	--[[Translation missing --]]
	["chat:addon-is-enabled"] = "Addon is enabled",
	--[[Translation missing --]]
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "Click sobre el icono para habilitar/desactivar el hechizo.",
	["Copy"] = "Copiar",
	["Copy other profile to current profile:"] = "Copiar otro perfil al actual:",
	["Current profile: [%s]"] = "Perfil actual: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "Los datos de '%s' se han copiado a '%s'",
	["Delete"] = "Borrar",
	["Delete profile:"] = "Borrar perfil:",
	["Disable test mode"] = "Desactivar modo de prueba.",
	["Enable test mode (need at least one visible nameplate)"] = "Habilitar modo de prueba\\r\\n(se necesitar tener una placa de nombre visible).",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	--[[Translation missing --]]
	["Font:"] = "Font:",
	["General"] = "General",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Tamaño del icono",
	["Icon X-coord offset"] = "Coordenada X de los iconos",
	["Icon Y-coord offset"] = "Coordenada Y de los iconos",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Varios ",
	["New spell has been added: %s"] = "Se ha agregado un nuevo hechizo: %s",
	["Options are not available in combat!"] = "Configuración no disponible durante el combate!",
	--[[Translation missing --]]
	["options:general:disable-addon-btn"] = "Disable addon",
	--[[Translation missing --]]
	["options:general:enable-addon-btn"] = "Enable addon",
	--[[Translation missing --]]
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "El perfil '%s' ha sido eliminado.",
	["Profiles"] = "Perfiles",
	["Show border around interrupts"] = "Mostrar borde en interrupciones ",
	["Show border around trinkets"] = "Mostrar borde en albalorios",
	["Unknown spell: %s"] = "Hechizo desconocido: %s",
	["Value must be a number"] = "El valor debe ser un numero"
},
	["frFR"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "Toujours afficher les icônes des CD sans transparence (un rechargement de l'interface est nécessaire)",
	--[[Translation missing --]]
	["chat:addon-is-disabled"] = "Addon is disabled",
	--[[Translation missing --]]
	["chat:addon-is-disabled-note"] = "Please note: this addon is disabled. You can enable it in options dialog (/nc)",
	--[[Translation missing --]]
	["chat:addon-is-enabled"] = "Addon is enabled",
	--[[Translation missing --]]
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "Cliquez sur l'icone pour activer/désactiver le suivi",
	["Copy"] = "Copier",
	["Copy other profile to current profile:"] = "Copier un profil vers le profil courant",
	["Current profile: [%s]"] = "Profil actuel : [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "Les données de '%s' ont été copiées vers '%s'",
	["Delete"] = "Effacer",
	["Delete profile:"] = "Effacer le profile :",
	["Disable test mode"] = "Désactiver le mode test",
	["Enable test mode (need at least one visible nameplate)"] = "Activer le mode test ( nécessite au moins une étiquette de nom visible)",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "Police d'écriture:",
	["General"] = "Général",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Taille de l'icone",
	["Icon X-coord offset"] = "Icon X-coord offset",
	["Icon Y-coord offset"] = "Icon Y-coord offset",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Divers",
	["New spell has been added: %s"] = "Un nouveau sort a été ajouté : %s",
	["Options are not available in combat!"] = "Les options sont indisponibles durant un combat",
	--[[Translation missing --]]
	["options:general:disable-addon-btn"] = "Disable addon",
	--[[Translation missing --]]
	["options:general:enable-addon-btn"] = "Enable addon",
	--[[Translation missing --]]
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "Le profile '%s' a été effacé.",
	["Profiles"] = "Profiles",
	["Show border around interrupts"] = "Afficher les bordures autour des interruptions",
	["Show border around trinkets"] = "Afficher les bordures autour des bijoux",
	["Unknown spell: %s"] = "Sort inconnu : %s",
	["Value must be a number"] = "La valeur doit être un nombre"
},
	["itIT"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = [=[Visualizza le icone dei CD con l'opacità al 100%
(è necessario ricaricare l'interfaccia utente)]=],
	--[[Translation missing --]]
	["chat:addon-is-disabled"] = "Addon is disabled",
	--[[Translation missing --]]
	["chat:addon-is-disabled-note"] = "Please note: this addon is disabled. You can enable it in options dialog (/nc)",
	--[[Translation missing --]]
	["chat:addon-is-enabled"] = "Addon is enabled",
	--[[Translation missing --]]
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "Clicca sull'icona per abilita/disabilitare il monitoraggio",
	["Copy"] = "Copia",
	["Copy other profile to current profile:"] = "Copia un altro profilo nel profilo corrente",
	["Current profile: [%s]"] = "Profilo selezionato: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "I dati da '%s' sono stati copiati con successo su '%s'",
	["Delete"] = "Elimina",
	["Delete profile:"] = "Elimina profilo:",
	["Disable test mode"] = "Disabilita la modalità di test",
	["Enable test mode (need at least one visible nameplate)"] = "Abilita la modalità di test (è necessario visualizzare almeno un nameplate)",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	--[[Translation missing --]]
	["Font:"] = "Font:",
	["General"] = "Generale",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Grandezza delle icone",
	["Icon X-coord offset"] = "Coordinate di Offset X dell'icona",
	["Icon Y-coord offset"] = "Coordinate di Offset Y dell'icona",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "MISC",
	["New spell has been added: %s"] = "Una nuova magia è stata aggiunta: %s",
	["Options are not available in combat!"] = "Non è possibile accedere alle opzioni in combattimento!",
	--[[Translation missing --]]
	["options:general:disable-addon-btn"] = "Disable addon",
	--[[Translation missing --]]
	["options:general:enable-addon-btn"] = "Enable addon",
	--[[Translation missing --]]
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "Il profilo '%s' è stato creato con successo",
	["Profiles"] = "Profili",
	--[[Translation missing --]]
	["Show border around interrupts"] = "Show border around interrupts",
	--[[Translation missing --]]
	["Show border around trinkets"] = "Show border around trinkets",
	["Unknown spell: %s"] = "Magia sconosciuta: %s",
	["Value must be a number"] = "Il valore deve essere un numero"
},
	["koKR"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "CD 아이콘을 항상 최대 불투명도로 표시합니다 (UI 다시 불러오기 필요)",
	--[[Translation missing --]]
	["chat:addon-is-disabled"] = "Addon is disabled",
	--[[Translation missing --]]
	["chat:addon-is-disabled-note"] = "Please note: this addon is disabled. You can enable it in options dialog (/nc)",
	--[[Translation missing --]]
	["chat:addon-is-enabled"] = "Addon is enabled",
	--[[Translation missing --]]
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "추적을 활성/비활성화 하려면 아이콘을 클릭하세요",
	["Copy"] = "복사하기",
	["Copy other profile to current profile:"] = "다른 프로필을 현재 프로필에 복사하기:",
	["Current profile: [%s]"] = "현재 프로필: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "'%s'의 데이터가 성공적으로 '%s'에 복사되었습니다",
	["Delete"] = "삭제",
	["Delete profile:"] = "프로필 삭제:",
	["Disable test mode"] = "테스트 모드 비활성화",
	["Enable test mode (need at least one visible nameplate)"] = "테스트 모드 활성화 (최소 하나의 볼 수 있는 이름표 필요)",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "글꼴:",
	["General"] = "일반",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "아이콘 크기",
	["Icon X-coord offset"] = "아이콘 X-좌표 위치",
	["Icon Y-coord offset"] = "아이콘 Y-좌표 위치",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "기타",
	["New spell has been added: %s"] = "새로운 주문이 추가되었습니다: %s",
	["Options are not available in combat!"] = "전투 중에는 옵션을 사용할 수 없습니다!",
	--[[Translation missing --]]
	["options:general:disable-addon-btn"] = "Disable addon",
	--[[Translation missing --]]
	["options:general:enable-addon-btn"] = "Enable addon",
	--[[Translation missing --]]
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "'%s' 프로필이 성공적으로 삭제되었습니다",
	["Profiles"] = "프로필",
	["Show border around interrupts"] = "방해 주위에 테두리 표시",
	["Show border around trinkets"] = "장신구 주위에 테두리 표시",
	["Unknown spell: %s"] = "알 수 없는 주문: %s",
	["Value must be a number"] = "값은 반드시 숫자여야 합니다"
},
	["ptBR"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "Sempre mostrar ícones de CD em opacidade máxima (Necessário recarregar UI)",
	--[[Translation missing --]]
	["chat:addon-is-disabled"] = "Addon is disabled",
	--[[Translation missing --]]
	["chat:addon-is-disabled-note"] = "Please note: this addon is disabled. You can enable it in options dialog (/nc)",
	--[[Translation missing --]]
	["chat:addon-is-enabled"] = "Addon is enabled",
	--[[Translation missing --]]
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "Clique no ícone para ativar/desativar o rastreamento.",
	["Copy"] = "Copiar",
	["Copy other profile to current profile:"] = "Copiar outro perfil para o perfil atual",
	["Current profile: [%s]"] = "Perfil atual",
	["Data from '%s' has been successfully copied to '%s'"] = "Dados de '%s' foram copiados para '%s' com sucesso ",
	["Delete"] = "Deletar",
	["Delete profile:"] = "Deletar perfil",
	["Disable test mode"] = "Desativar modo de teste",
	["Enable test mode (need at least one visible nameplate)"] = "Ativar modo de teste (é necessário ao menos um nameplate visível) ",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "Fonte:",
	["General"] = "Geral",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Tamanho do ícone",
	["Icon X-coord offset"] = "Coordenada X do Ícone",
	["Icon Y-coord offset"] = "Coordenada Y do Ícone",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Outros",
	["New spell has been added: %s"] = "Um novo feitiço foi adicionado.",
	["Options are not available in combat!"] = "Opções não estão disponíveis em combate!",
	--[[Translation missing --]]
	["options:general:disable-addon-btn"] = "Disable addon",
	--[[Translation missing --]]
	["options:general:enable-addon-btn"] = "Enable addon",
	--[[Translation missing --]]
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "O perfil '%s' foi deletado com sucesso",
	["Profiles"] = "Perfis",
	["Show border around interrupts"] = "Mostrar borda em interrupts",
	["Show border around trinkets"] = "Mostrar borda em trinkets",
	["Unknown spell: %s"] = "Feitiço desconhecido",
	["Value must be a number"] = "Valor precisa ser um numero"
},
	["ruRU"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = [=[Иконки заклинаний всегда полностью непрозрачны(Необходима перезагрузка интерфейса)]=],
	["chat:addon-is-disabled"] = "Аддон отключен",
	["chat:addon-is-disabled-note"] = "Обратите внимание: этот аддон отключен. Вы можете включить его командой (/nc)",
	["chat:addon-is-enabled"] = "Аддон включен",
	["chat:enable-only-for-target-nameplate"] = "КД будут показаны только на нэймплэйте цели",
	["Click on icon to enable/disable tracking"] = "Нажмите на иконку чтобы вкл/выкл отслеживание",
	["Copy"] = "Скопировать",
	["Copy other profile to current profile:"] = "Скопировать другой профиль в текущий:",
	["Current profile: [%s]"] = "Текущий профиль: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "Профиль '%s' успешно скопирован в профиль '%s'",
	["Delete"] = "Удалить",
	["Delete profile:"] = "Удалить профиль:",
	["Disable test mode"] = "Выключить тест",
	["Enable test mode (need at least one visible nameplate)"] = "Включить тест (нужен хотя бы 1 видимый хп бар)",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "Шрифт:",
	["General"] = "Общее",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Размер иконок",
	["Icon X-coord offset"] = "Смещение иконок по X",
	["Icon Y-coord offset"] = "Смещение иконок по Y",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Другое",
	["New spell has been added: %s"] = "Добавлено новое заклинание: %s",
	["Options are not available in combat!"] = "Настройки недоступны, пока идет бой!",
	["options:general:disable-addon-btn"] = "Отключить аддон",
	["options:general:enable-addon-btn"] = "Включить аддон",
	["options:general:enable-only-for-target-nameplate"] = "Показывать КД только на нэймплэйте цели",
	["Profile '%s' has been successfully deleted"] = "Профиль '%s' успешно удален",
	["Profiles"] = "Профили",
	["Show border around interrupts"] = "Показывать контур вокруг прерываний",
	["Show border around trinkets"] = "Показывать контур вокруг тринкетов",
	["Unknown spell: %s"] = "Неизвестное заклинание: %s",
	["Value must be a number"] = "Значение должно быть числом"
},
	["zhCN"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "始终以完全不透明显示在冷却的图标（需要重载界面）",
	--[[Translation missing --]]
	["chat:addon-is-disabled"] = "Addon is disabled",
	--[[Translation missing --]]
	["chat:addon-is-disabled-note"] = "Please note: this addon is disabled. You can enable it in options dialog (/nc)",
	--[[Translation missing --]]
	["chat:addon-is-enabled"] = "Addon is enabled",
	--[[Translation missing --]]
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "点击图标启用/禁用跟踪",
	["Copy"] = "复制",
	["Copy other profile to current profile:"] = "复制其他配置文件至当前配置文件：",
	["Current profile: [%s]"] = "当前配置文件：[%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "从 '%s' 的数据已被成功复制到 '%s'",
	["Delete"] = "删除",
	["Delete profile:"] = "删除配置文件",
	["Disable test mode"] = "关闭测试模式",
	["Enable test mode (need at least one visible nameplate)"] = "启用测试模式（至少需要一个可见的姓名板）",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "字体：",
	["General"] = "综合",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "图标大小",
	["Icon X-coord offset"] = "图标的X坐标偏移",
	["Icon Y-coord offset"] = "图标的Y坐标偏移",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "杂项",
	["New spell has been added: %s"] = "新的法术已添加：%s",
	["Options are not available in combat!"] = "选项在战斗中不可用！",
	--[[Translation missing --]]
	["options:general:disable-addon-btn"] = "Disable addon",
	--[[Translation missing --]]
	["options:general:enable-addon-btn"] = "Enable addon",
	--[[Translation missing --]]
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "配置文件 '%s' 已成功删除",
	["Profiles"] = "配置文件",
	["Show border around interrupts"] = "为打断技能显示边框",
	["Show border around trinkets"] = "为饰品显示边框",
	["Unknown spell: %s"] = "未知的法术：%s",
	["Value must be a number"] = "值必须是数字"
},
	["zhTW"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "圖示完全不透明 (需要重新載入介面)",
	["chat:addon-is-disabled"] = "插件已停用",
	["chat:addon-is-disabled-note"] = "請注意：這個插件已經停用，可以在設定選項 (/nc) 中啟用。",
	["chat:addon-is-enabled"] = "插件已啟用",
	["chat:enable-only-for-target-nameplate"] = "只會在當前目標的血條上顯示技能冷卻",
	["Click on icon to enable/disable tracking"] = "點一下圖示來啟用/停用監控",
	["Copy"] = "複製",
	["Copy other profile to current profile:"] = "複製現有的設定檔到目前設定檔:",
	["Current profile: [%s]"] = "目前設定檔: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "已經成功地將資料從 '%s' 複製到 '%s'",
	["Delete"] = "刪除",
	["Delete profile:"] = "刪除設定檔:",
	["Disable test mode"] = "關閉測試模式",
	["Enable test mode (need at least one visible nameplate)"] = "開啟測試模式 (範圍內至少要能看見一個血條)",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "字體:",
	["General"] = "一般",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "圖示大小",
	["Icon X-coord offset"] = "圖示水平位置",
	["Icon Y-coord offset"] = "圖示垂直位置",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "其他",
	["New spell has been added: %s"] = "已加入新的法術：%s",
	["Options are not available in combat!"] = "戰鬥中無法調整設定!",
	["options:general:disable-addon-btn"] = "停用插件",
	["options:general:enable-addon-btn"] = "啟用插件",
	["options:general:enable-only-for-target-nameplate"] = "只在當前目標的血條上顯示技能冷卻",
	["Profile '%s' has been successfully deleted"] = "已經成功地刪除設定檔 '%s'",
	["Profiles"] = "設定檔",
	["Show border around interrupts"] = "斷法技能顯示邊框",
	["Show border around trinkets"] = "飾品圖示顯示邊框",
	["Unknown spell: %s"] = "未知的法術：%s",
	["Value must be a number"] = "必須填寫數字"
},
};

--@end-non-debug@

--[===[@debug@
local locales = {
	["enUS"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = "Always display CD icons at full opacity (ReloadUI is needed)",
	["chat:addon-is-disabled"] = "Addon is disabled",
	["chat:addon-is-disabled-note"] = "Please note: this addon is disabled. You can enable it in options dialog (/nc)",
	["chat:addon-is-enabled"] = "Addon is enabled",
	["chat:enable-only-for-target-nameplate"] = "Cooldowns will be shown on target nameplate only",
	["Click on icon to enable/disable tracking"] = "Click on icon to enable/disable tracking",
	["Copy"] = "Copy",
	["Copy other profile to current profile:"] = "Copy other profile to current profile:",
	["Current profile: [%s]"] = "Current profile: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "Data from '%s' has been successfully copied to '%s'",
	["Delete"] = "Delete",
	["Delete profile:"] = "Delete profile:",
	["Disable test mode"] = "Disable test mode",
	["Enable test mode (need at least one visible nameplate)"] = "Enable test mode (need at least one visible nameplate)",
	["Filters"] = "Filters",
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "Font:",
	["General"] = "General",
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Icon size",
	["Icon X-coord offset"] = "Icon X-coord offset",
	["Icon Y-coord offset"] = "Icon Y-coord offset",
	["instance-type:arena"] = "Arenas",
	["instance-type:none"] = "Open World",
	["instance-type:party"] = "5ppl dungeons",
	["instance-type:pvp"] = "Battlegrounds",
	["instance-type:raid"] = "Raid dungeons",
	["instance-type:scenario"] = "Scenarios",
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Misc",
	["New spell has been added: %s"] = "New spell has been added: %s",
	["Options are not available in combat!"] = "Options are not available in combat!",
	["options:general:disable-addon-btn"] = "Disable addon",
	["options:general:enable-addon-btn"] = "Enable addon",
	["options:general:enable-only-for-target-nameplate"] = "Show the cooldowns on the current target nameplate only",
	["Profile '%s' has been successfully deleted"] = "Profile '%s' has been successfully deleted",
	["Profiles"] = "Profiles",
	["Show border around interrupts"] = "Show border around interrupts",
	["Show border around trinkets"] = "Show border around trinkets",
	["Unknown spell: %s"] = "Unknown spell: %s",
	["Value must be a number"] = "Value must be a number"
},
	["ruRU"] = 
{
	["Always display CD icons at full opacity (ReloadUI is needed)"] = [=[Иконки заклинаний всегда полностью непрозрачны
(Необходима перезагрузка интерфейса)]=],
	["chat:addon-is-disabled"] = "Аддон отключен",
	["chat:addon-is-disabled-note"] = "Обратите внимание: этот аддон отключен. Вы можете включить его командой (/nc)",
	["chat:addon-is-enabled"] = "Аддон включен",
	["chat:enable-only-for-target-nameplate"] = "КД будут показаны только на нэймплэйте цели",
	["Click on icon to enable/disable tracking"] = "Нажмите на иконку чтобы вкл/выкл отслеживание",
	["Copy"] = "Скопировать",
	["Copy other profile to current profile:"] = "Скопировать другой профиль в текущий:",
	["Current profile: [%s]"] = "Текущий профиль: [%s]",
	["Data from '%s' has been successfully copied to '%s'"] = "Профиль '%s' успешно скопирован в профиль '%s'",
	["Delete"] = "Удалить",
	["Delete profile:"] = "Удалить профиль:",
	["Disable test mode"] = "Выключить тест",
	["Enable test mode (need at least one visible nameplate)"] = "Включить тест (нужен хотя бы 1 видимый хп бар)",
	--[[Translation missing --]]
	["Filters"] = "Filters",
	--[[Translation missing --]]
	["filters.instance-types"] = [=[Set the visibility of the cooldowns
in different types of locations]=],
	["Font:"] = "Шрифт:",
	["General"] = "Общее",
	--[[Translation missing --]]
	["general.sort-mode"] = "Sort mode:",
	["Icon size"] = "Размер иконок",
	["Icon X-coord offset"] = "Смещение иконок по X",
	["Icon Y-coord offset"] = "Смещение иконок по Y",
	--[[Translation missing --]]
	["instance-type:arena"] = "Arenas",
	--[[Translation missing --]]
	["instance-type:none"] = "Open World",
	--[[Translation missing --]]
	["instance-type:party"] = "5ppl dungeons",
	--[[Translation missing --]]
	["instance-type:pvp"] = "Battlegrounds",
	--[[Translation missing --]]
	["instance-type:raid"] = "Raid dungeons",
	--[[Translation missing --]]
	["instance-type:scenario"] = "Scenarios",
	--[[Translation missing --]]
	["instance-type:unknown"] = "Unknown dungeons (some quest scenarios)",
	["MISC"] = "Другое",
	["New spell has been added: %s"] = "Добавлено новое заклинание: %s",
	["Options are not available in combat!"] = "Настройки недоступны, пока идет бой!",
	["options:general:disable-addon-btn"] = "Отключить аддон",
	["options:general:enable-addon-btn"] = "Включить аддон",
	["options:general:enable-only-for-target-nameplate"] = "Показывать КД только на нэймплэйте цели",
	["Profile '%s' has been successfully deleted"] = "Профиль '%s' успешно удален",
	["Profiles"] = "Профили",
	["Show border around interrupts"] = "Показывать контур вокруг прерываний",
	["Show border around trinkets"] = "Показывать контур вокруг тринкетов",
	["Unknown spell: %s"] = "Неизвестное заклинание: %s",
	["Value must be a number"] = "Значение должно быть числом"
},
};
--@end-debug@]===]

-- locales["koKR"] = locales["enUS"];
-- locales["zhCN"] = locales["enUS"];
-- locales["zhTW"] = locales["enUS"];

--			Test
--locales["ruRU"] = locales["zhTW"];

local localizedClasses = {};
FillLocalizedClassList(localizedClasses);
for _, localeTable in pairs(locales) do
	for classToken, localizedClassName in pairs(localizedClasses) do
		localeTable[classToken] = localizedClassName;
	end
end

local _, addonTable = ...;
addonTable.L = locales[GetLocale()];
addonTable.L = setmetatable(addonTable.L, {
	__index = function(t, key)
		local enus = locales["enUS"][key];
		if (enus ~= nil) then
			return enus;
		else
			print("NameplateCooldowns: missing localisation: "..key);
			return key;
		end
	end
});
